# OpenML dataset: fri_c3_500_50

https://www.openml.org/d/645

## Structure

The dataset has the following file structure:

* `dataset/`
  * `tables/`
    * [`data.csv`](./dataset/tables/data.csv): CSV file with data
    * [`data.pq`](./dataset/tables/data.pq): Parquet file with data
  * [`metadata.json`](./dataset/metadata.json): OpenML description of the dataset
  * [`features.json`](./dataset/features.json): OpenML description of table columns
  * [`qualities.json`](./dataset/qualities.json): OpenML qualities (meta-features)

## Description

**Author**:   
**Source**: Unknown - Date unknown  
**Please cite**:   

The Friedman datasets are 80 artificially generated datasets originating from: J.H. Friedman (1999). Stochastic Gradient Boosting

The dataset names are coded as "fri_colinearintydegree_samplenumber_featurenumber".

Friedman is the one of the most used functions for data generation (Friedman, 1999). Friedman functions include both linear and non-linear relations between input and output, and a normalized noise (e) is added to the output. The Friedman function is as follows: 

y=10*sin(pi*x1*x2)+20*(x3-0.5)^2=10*X4+5*X5+e

In the original Friedman function, there are 5 features for input. To measure the effects of non-related features, additional features are added to the datasets. These added features are independent from the output. However, to measure the algorithm's robustness to the colinearity, the datasets are generated with 5 different colinearity degrees. The colinearity degrees is the number of features depending on other features. 

The generated Friedman dataset's parameters and values are given below: 
The number of features: 5 10 25 50 100 (only the first 5 features are related to the output. The rest are completely random)
The number of samples: 100 250 500 1000
Colinearity degrees: 0 1 2 3 4
For the datasets with colinearity degree 4, the numbers of features are generated as 10, 25, 50 and 100.
The other datasets have 5, 10, 25 and 50 features.

As a result, 80 artificial datasets are generated by (4 different feature number * 4 different sample number * 5 different colinearity degree)

The last attribute in each file is the target.

## Contributing

This is a [read-only mirror](https://gitlab.com/data/d/openml/645) of an [OpenML dataset](https://www.openml.org/d/645). Contribute any changes to the dataset there. Alternatively, [fork the dataset](https://gitlab.com/data/d/openml/645/-/forks/new) or [find an existing fork](https://gitlab.com/data/d/openml/645/-/forks) to contribute to.

You can use [issues](https://gitlab.com/data/d/openml/645/-/issues) to discuss the dataset and any issues.

For more information see [https://datagit.org/](https://datagit.org/).

